Bug 1503173 - [Geo-rep] Master and slave mounts are not accessible to take client profile info [NEEDINFO]
Summary: [Geo-rep] Master and slave mounts are not accessible to take client profile info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.3
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Aravinda VK
QA Contact: Rochelle
URL:
Whiteboard: rebase
Depends On: 1433506
Blocks: 1438330 1503134
TreeView+ depends on / blocked
 
Reported: 2017-10-17 13:29 UTC by Kotresh HR
Modified: 2018-09-14 04:37 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Bug Fix
Doc Text:
As geo-replication mounts the master and slave volume internally to sync the data, the mount points were not available to debug. As a result, the user failed to fetch client volume profile information. This fix brings two new options to expose geo-replication mounts to users to access the mount points. slave_access_mount: for slave mount points master_access_mount: for master mount points
Clone Of: 1433506
Environment:
Last Closed: 2018-09-04 06:36:52 UTC
srmukher: needinfo? (avishwan)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:34 UTC

Description Kotresh HR 2017-10-17 13:29:31 UTC
+++ This bug was initially created as a clone of Bug #1433506 +++

Description of problem:
Master and slave geo-rep auxiliary mounts are not accessible to user to take
client profile info or do any other client stack analysis. The mounts are lazy unmounted after changing the current directory to the respective mount point.
So that only geo-rep worker has access to it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Setup geo-rep session between master and slave volume
2. Try to take the client side profile info of either master volume or slave volume


Actual results:
Not able to take client profile info of active geo-rep master and slave mount points on which I/O is happening

Expected results:
When needed, it should be possible to take client profile info of active geo-rep master and slave mount points on which I/O is happening

Comment 2 Kotresh HR 2017-10-17 13:30:39 UTC
Upstream patch is already merged in upstream and comes to 3.4 downstream as part of rebase.

https://review.gluster.org/16912

Comment 6 Srijita Mukherjee 2018-09-03 15:15:57 UTC
Doc text has been updated. Kindly review and confirm.

Comment 8 errata-xmlrpc 2018-09-04 06:36:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.